const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    v3_7 = arg1[48];
    v4_a = *((v3_7 - 16));
    v2_13 = fabsl(z.z - v4_a) # bp+13;
    v4_17 = v3_7 - 24 # bp+17;
    *z.z = fabsl(z.z - *v4_17) - v2_13 + z.z - v4_a;
    v2_2a = fabsl(z.y - v4_a);
    *z.y = fabsl(z.y - *v4_17) - v2_2a + z.y - v4_a;
    v3_3b = z.x;
    v2_41 = fabsl(v3_3b - v4_a) # bp+41;
    *v3_3b = fabsl(v3_3b - *v4_17) - v2_41 + v3_3b - v4_a;
    return z.x;


	}